﻿@{
	ViewData["Title"] = "Nuevo vuelo";
}

@model VuelosApp.Models.ViewModels.CreateFlightViewModel

<div class="container-fluid">
	<h2 class="text-center">@ViewData["Title"]</h2>
	<form action="/vuelos/save" method="post">
		<div class="form-group">
			<label for="date">Fecha</label>
			<input name="date" class="form-control" placeholder="10/05/2021 13:15" required />
		</div>
		<div class="form-group">
			<label>Tipo de vuelo</label>
			<div class="form-check">
				<label class="form-check-label">
					<input name="flightType" class="form-check-input" type="radio" value="@FlightType.National" required />
					Nacional
				</label>
			</div>
			<div class="form-check">
				<label class="form-check-label">
					<input id="" class="form-check-input" name="flightType" type="radio" value="@FlightType.International" required />
					Internacional
				</label>
			</div>
		</div>
		<div class="form-group">
			<label for="origin">Ciudad de origen:</label>
			<select name="origin" class="form-control" required>
				@foreach (string city in Model.Cities)
				{
					<option>@city</option>
				}
			</select>
		</div>
		<div class="form-group">
			<label for="destination">Ciudad de destino:</label>
			<select name="destination" class="form-control" required>
				@foreach (string city in Model.Cities)
				{
					<option>@city</option>
				}
			</select>
		</div>
		<div class="form-group">
			<label for="numFlight">Número de vuelo</label>
			<input name="numFlight" class="form-control" placeholder="AC5825" required />
		</div>
		<div class="form-group">
			<label for="state">Estado del vuelo:</label>
			<select name="state" class="form-control" required>
				@foreach (string state in Model.States)
				{
					<option>@state</option>
				}
			</select>
		</div>
		<button type="submit" class="btn btn-primary float-right">Guardar</button>
	</form>
</div>


